GSTACK(1)

NAME
gstack - Print a stack trace of a running program

SYNOPSIS
gstack [-h | --help] [-v | --version] pid

DESCRIPTION
Print a stack trace of a running program with process ID pid. If the process is multi-threaded, gstack outputs backtraces for every thread which exists in the process.

The script invokes GDB, attaches to the given process ID, prints the stack trace, and detaches from the process.

gstack exits with non-zero status if "gdb" was unable to attach to the given process ID for any reason, such as a non-existent process ID or insufficient privileges to attach to the process.

OPTIONS

--help
-h  List all options, with brief explanations.

--version
-v  Print version information and then exit.

ENVIRONMENT

AWK Full file name for an Awk interpreter to use. If not set, PATH will be searched for an "awk" program.

GDB Full file name for a GDB executable to use to generate stack backtraces. If not set, PATH will be searched for a "gdb" program.

GDBARGS
    Optional arguments to be passed to the "gdb" program.

SEE ALSO
The full documentation for GDB is maintained as a Texinfo manual. If the "info" and "gdb" programs and GDB's Texinfo documentation are properly installed at your site, the command

        info gdb

should give you access to the complete manual.

Using GDB: A Guide to the GNU Source-Level Debugger, Richard M. Stallman and Roland H. Pesch, July 1991.

COPYRIGHT
Copyright (c) 1988-2024 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with the Invariant Sections being "Free Software" and "Free Software Needs Free Documentation", with the Front-Cover Texts being "A GNU Manual," and with the Back-Cover Texts as in (a) below.

(a) The FSF's Back-Cover Text is: "You are free to copy and modify this GNU Manual. Buying copies from GNU Press supports the FSF in developing GNU and promoting software freedom."